# Loader
#
# Interface which defines how a Loader should work, and appropriately raises exceptions for unimplemented
# requirements of a custom Loader.
#
# Shot Framework - Copyright (c) Jesse Aaron Dunlap <me@jessedunlap.me>
# Licensed under the MIT License. For full licensing information, please
# see LICENSE.md. http://github.com/JesseDunlap/shot/


require_relative './loader_exception'

class Loader
	# Loader type
	attr_accessor :type

	# Associated EventdClient
	attr_accessor :client

	def initialize(client)
		@client = client
	end

	def get(name)
		raise LoaderException.new 'Custom Loader #get method has not been overridden.'
	end
end