# Router
#
# Defines the basic structure of a Router. Routers allow for custom behavior for incoming EventdClients when
# they connect to the Shot Application. Routers should, at the very least, implement the Router#initialize
# method, which will be passed an instance of the client the router is handling.
#
# Shot Framework - Copyright (c) Jesse Aaron Dunlap <me@jessedunlap.me>
# Licensed under the MIT License. For full licensing information, please
# see LICENSE.md. http://github.com/JesseDunlap/shot/


class Router

	# Associated EventdClient
	attr_accessor :client

	# Initialize the Router, and save the passed client
	#
	# == Attributes
	#
	# * +client+ - Instance of EventdClient, which the router should handle

	def initialize(client)
		@client = client
	end
end